List fleet summaries
Retrieve aggregated metrics for each fleet including fleet name, vehicle counts, driver counts, and connection health.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
fleet_ids
Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
fleet_refs
Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
connection_id
Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
sort_by
The name of the field to sort results by. If not provided, results will be ordered by occurred_at.
sort_order
The order of sorting, either asc for ascending or desc for descending. Defaults to asc if sort_by is provided without sort_order.
Allowed values:
cursor
Cursor for the next page
size
Page size
Response
Successful Response
items
total
current_page
Cursor to refetch the current page
current_page_backwards
Cursor to refetch the current page starting from the last item
previous_page
Cursor for the previous page
next_page
Cursor for the next page
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error